%global momorel 3

%global luaver 5.2
%global lualibdir %{_libdir}/lua/%{luaver}
%global luapkgdir %{_datadir}/lua/%{luaver}

Name:           lxc
Version:        2.1.1
Release:        %{momorel}m%{?dist}
Summary:        Linux Resource Containers

Group:          Applications/System
License:        LGPLv2+
URL:            http://lxc.sourceforge.net
Source0:        http://lxc.sourceforge.net/download/lxc/%{name}-%{version}.tar.gz
NoSource:       0
Patch0:         lxc-2.0.7-fix-init.patch
Patch1:         lxc-2.0.6-fix-lxc-net.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  automake
BuildRequires:  docbook-utils
BuildRequires:  kernel-headers
BuildRequires:  libcap-devel
BuildRequires:  libtool
BuildRequires:  gnutls-devel >= 3.6.2

%description
Linux Resource Containers provide process and resource isolation without the
overhead of full virtualization.

%package        libs
Summary:        Runtime library files for %{name}
Group:          System Environment/Libraries
Requires:       %{name} = %{version}-%{release}

%description    libs
Linux Resource Containers provide process and resource isolation without the
overhead of full virtualization.

The %{name}-libs package contains libraries for running %{name} applications.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
Linux Resource Containers provide process and resource isolation without the
overhead of full virtualization.

The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        doc
Summary:        Documentation for %{name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}

%description    doc
This package contains documentation for %{name}.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
./autogen.sh
export CFLAGS="$RPM_OPT_FLAGS -Wno-error=deprecated-declarations -Wno-error=format-truncation"
%configure --with-distro=fedora \
           --enable-doc \
           --enable-api-docs \
           --disable-silent-rules \
           --docdir=%{_pkgdocdir} \
           --disable-rpath \
           --disable-apparmor \
           --disable-cgmanager \
           --enable-selinux \
           --enable-python \
           --enable-lua \
           --with-init-script=systemd 
# Fix binary-or-shlib-defines-rpath error
%{__sed} -i '/AM_LDFLAGS = -Wl,-E -Wl,-rpath -Wl,$(libdir)/d' src/lxc/Makefile.in
%{__make} %{?_smp_mflags}

%check
%{__make} check

%install
rm -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install
find %{buildroot} -name '*.la' -delete
%{__mkdir} -p %{buildroot}%{_sharedstatedir}/%{name}
# Remove templates
rm -f %{buildroot}%{_libdir}/lxc/templates/lxc-*

mkdir -p %{buildroot}%{_pkgdocdir}
cp -a AUTHORS README %{!?_licensedir:COPYING} %{buildroot}%{_pkgdocdir}
mkdir -p %{buildroot}%{_pkgdocdir}/api
cp -a doc/api/html/* %{buildroot}%{_pkgdocdir}/api/

%clean
%{__rm} -rf %{buildroot}

%post libs
/sbin/ldconfig
%systemd_post %{name}-net.service
%systemd_post %{name}.service
%systemd_post %{name}@.service

%preun libs
%systemd_preun %{name}-net.service
%systemd_preun %{name}.service
%systemd_preun %{name}@.service

%postun libs
/sbin/ldconfig
%systemd_postun %{name}-net.service
%systemd_postun %{name}.service
%systemd_postun %{name}@.service

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/%{name}-*
%{_sbindir}/init.lxc
%{_mandir}/man*/%{name}*
%{_mandir}/*/man?/%{name}*
%{_sharedstatedir}/%{name}
%{_datadir}/%{name}
%{_libexecdir}/%{name}/*
%{_sysconfdir}/%{name}/*
%{_sysconfdir}/sysconfig/lxc
%dir %{_datadir}/bash-completion
%dir %{_datadir}/bash-completion/completions
%{_datadir}/bash-completion/completions/%{name}

%files libs
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/liblxc.so.*
%{_libdir}/lxc
%{_libdir}/python?.?/site-packages/lxc*
%{_libdir}/python?.?/site-packages/lxc/
%{_libdir}/lua/?.?/lxc/core.so
%{_unitdir}/%{name}.service
%{_unitdir}/%{name}@.service
%{_unitdir}/%{name}-net.service
%dir %{_pkgdocdir}
%{_pkgdocdir}/AUTHORS
%{_pkgdocdir}/README
%{python3_sitearch}/*
%{lualibdir}/%{name}
%{luapkgdir}/%{name}.lua


%files devel
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*
%{_libdir}/liblxc.so

%files doc
%defattr(-,root,root,-)
%{_pkgdocdir}/*

%changelog
* Thu Jun 28 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (2.1.1-3m)
- rebuild against gnutls-3.6.2

* Mon Dec  4 2017 Masanobu Sato <satoshiga@momonga-linux.org>
- (2.1.1-2m)
- revised man files in %files section

* Mon Dec 04 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (2.1.1-1m)
- update 2.1.1

* Tue Aug 15 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.8-3m)
- rebuild against python3

* Sat May 13 2017 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.8-2m)
- add unpackaged files to %%files

* Fri May 12 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.8-1m)
- update 2.0.8

* Sun Aug 07 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.3-1m)
- update 2.0.3

* Wed Oct 21 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (1.1.4-1m)
- update 1.1.4

* Sat Oct 05 2013 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.0-1m)
- update 0.9.0

* Tue Jan 10 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.7.5-1m)
- update 0.7.5

* Mon Jun 13 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.7.4.2-1m)
- update 0.7.4.2

* Thu May 26 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.7.4.1-1m)
- update 0.7.4.1

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.7.2-2m)
- rebuild for new GCC 4.6

* Fri Feb 11 2011 Yasuo Ohgaki <yohgaki@ohgaki.net>
- Import from fedora

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jul 26 2010 Silas Sewell <silas@sewell.ch> - 0.7.2-1
- Update to 0.7.2
- Remove templates

* Tue Jul 06 2010 Silas Sewell <silas@sewell.ch> - 0.7.1-1
- Update to 0.7.1

* Wed Feb 17 2010 Silas Sewell <silas@sewell.ch> - 0.6.5-1
- Update to latest release
- Add /var/lib/lxc directory
- Patch for sys/stat.h

* Fri Nov 27 2009 Silas Sewell <silas@sewell.ch> - 0.6.4-1
- Update to latest release
- Add documentation sub-package

* Mon Jul 27 2009 Silas Sewell <silas@sewell.ch> - 0.6.3-2
- Apply patch for rawhide kernel

* Sat Jul 25 2009 Silas Sewell <silas@sewell.ch> - 0.6.3-1
- Initial package
